package com.huyi.service.conmany.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huyi.service.base.entity.SysCompany;

import java.util.List;
import java.util.Map;

/**
 * ClassName: IOwnCompanyManageService<br>
 * Description: SysCompanyManageService接口 <br>
 * Company: keao
 *
 * @author songqg
 * @version v1.0.0    2021-08-16  songqg    由Generator自动创建
 */
public interface IOwnCompanyManageService extends IService<SysCompany> {

    /**
     * 查询发票信息
     * @param map
     * @return
     */
    public List<Map> selectInvoiceList(Map map);

    /**
     * 查询用户信息
     * @param map
     * @return
     */
    public List<Map> selectUserList(Map map);

    /**
     * 查询营业执照信息
     * @param map
     * @return
     */
    public List<Map> selectLicenseFileList(Map map);

    /**
     * 查询法人证件信息
     * @param map
     * @return
     */
    public List<Map> selectLegalFileList(Map map);

    /**
     * 查询法人证件反面信息
     * @param map
     * @return
     */
    public List<Map> selectLegalBackFileList(Map map);

    /**
     * 查询法人授权书信息
     * @param map
     * @return
     */
    public List<Map> selectAuthorizationFileList(Map map);

    /**
     * 查询数字证书授权与承诺书信息
     * @param map
     * @return
     */
    public List<Map> selectCommitmentFileList(Map map);

    /**
     * 查询其他附件信息
     * @param map
     * @return
     */
    public List<Map> selectAppendixFileList(Map map);

    /**
     * 经办人证件正面信息
     * @param map
     * @return
     */
    public List<Map> handlerPositiveList(Map map);

    /**
     * 经办人证件反面信息
     * @param map
     * @return
     */
    public List<Map> handlerNegativeList(Map map);
}
